1.3
1.3
get /v1/cluster-fabrics/node-pools
Description
List node pools by subnet_id+zone or cluster_fabric_id. Provide subnet_id and zone together, or cluster_fabric_id alone.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | subnet_id optional | Subnet ID (required with cluster_fabric_id is empty) Example : ab313c43291e4b678f4bacffe10768ae | any of [string, null] | None |
| query | cluster_fabric_id optional | Cluster Fabric ID (required when subnet_id is empty) Example : 20c507a036c447cdb3b19468d8ea62ac | any of [string, null] | None |
| query | node_pool_id optional | Node Pool ID (filter results for a specific node pool) Example : POOL001-krw1a | any of [string, null] | None |
| query | zone optional | Availability Zone (required when subnet_id is provided) Example : kr-west1-a | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | NodePoolListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cluster-fabrics/node-pools
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"
Example HTTP response
Response 200
{
"node_pools": [
{
"node_pool_id": "POOL001-krw1a",
"cluster_fabric_details": []
}
],
"count": 20
}